#pragma once

#include "hw_button.h"

typedef enum
{
    BTN_CH_1,
    BTN_CH_2,
    BTN_CH_3,
    BTN_CH_4,
    BTN_CH_5,
    BTN_CH_6,
    BTN_CH_MAX,
} HW_chanBtnName_t;

void CTRL_channelButtonInit(void);
void CTRL_channelButtonsHandler(void);
void CTRL_pushedChanBtnEvent(ButtonKey_t *key);
void CTRL_longPushedChanBtnEvent(ButtonKey_t *key);